.row {
    --bs-gutter-x: 0 !important;
    --bs-gutter-y: 0 !important;
}

.mainBackgroud {
    background-color: rgb(50, 50, 50);
}

th {
    font-size: 4em;
}

td {
    font-size: 4em;
}

.player_button {
    min-height: 2.75rem;
    width: 2.75rem;
    border-radius: 100%;
    border-style: solid;
    border-width: 0.2rem;
    margin-bottom: 1.75rem;
    background-color: transparent;
}

.menuButton {
    height: 2.75rem;
    width: 2.75rem;
    border-radius: 100%;
    border-style: solid;
    border-width: 0.1rem;
    margin-bottom: 1.75rem;
    background-color: transparent;
    border-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}
.menuButton > h5{
    fill: white;
    color: white;
}
.menuButton:hover {
    background-color: white;
}
.menuButton:hover > svg,
.menuButton:hover > h5{
    fill: black;
    color: black;
}

.imageList {
    display: flex;
    height: 100%;
}

.left-controls {
    z-index: 100;
    position: fixed;
    left: 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0.5rem;
    padding-top: 2rem;
    padding-bottom: 2rem;
    height: 100%;
    background-color: rgb(30, 30, 30);
    transition: 0.3s;
    /* width: 9rem; */
    overflow-y: auto;
    overflow-x: hidden;
}

.left-controls.expandend> .detailedPlayerCard   {
    height: 7rem !important;
    width: 24rem !important;
    margin-bottom: 1rem !important;
    padding: 1rem !important;
    visibility: initial;
    opacity: 100%
}

.left-controls.expandend > .detailedPlayerCard * {
    visibility: initial;
}

.left-controls.expandend {
    position: fixed;
    width: 30rem;
    padding-left: 2rem;
    padding-right: 2rem;
    align-items: center;
}

.left-controls.expandend > .red, 
.left-controls.expandend > .green,
.left-controls.expandend > .blue, 
.left-controls.expandend > .white, 
.left-controls.expandend > .yellow, 
.left-controls.expandend > .pink,
.left-controls.expandend > .orang,
.left-controls.expandend > .menuButton,
.left-controls.expandend > .menuBorder{ 
    display: none;
    visibility: hidden;
    border: none;
}

.closeMenuButton {
    width: 0;
    height: 0;
    visibility: hidden;
}

.left-controls.expandend > .closeMenuButton{ 
    height: initial;
    width: 24rem;
    visibility: initial;
    height: 1.5rem;
    border-width: 0.1rem;
    margin-top: 1rem;
    margin-bottom: 1.5rem;
    padding-bottom: 2rem;
    align-items: baseline;
}

.closeMenuButtonImg{
    height: 1rem;
    width: 1rem;
}

.red {
    border-color: rgb(196, 60, 80)
}
.red:hover {
    background-color: rgb(196, 60, 80)
}

.green {
    border-color: rgb(103, 241, 103)
}
.green:hover {
    background-color: rgb(103, 241, 103)
}

.blue {
    border-color: rgb(55, 110, 240)
}
.blue:hover {
    background-color: rgb(55, 110, 240)
}

.white {
    border-color: white
}
.white:hover {
    background-color: white
}

.yellow {
    border-color: rgb(255, 255, 108)
}
.yellow:hover {
    background-color: rgb(255, 255, 108)
}

.pink {
    border-color: rgb(252, 100, 231)
}
.pink:hover {
    background-color: rgb(252, 100, 231)
}
.orang {
    border-color: rgb(255, 104, 66)
}
.orang:hover {
    background-color: rgb(255, 104, 66)
}

.button_filter_red {
    filter: drop-shadow(0rem 0rem 0.2rem rgb(196, 60, 80));
    background-color: rgb(196, 60, 80);
}
.button_filter_green {
    filter: drop-shadow(0rem 0rem 0.2rem rgb(103, 241, 103));
    background-color: rgb(103, 241, 103);
}
.button_filter_blue {
    filter: drop-shadow(0rem 0rem 0.2rem rgb(55, 110, 240));
    background-color: rgb(55, 110, 240);
}
.button_filter_white {
    filter: drop-shadow(0rem 0rem 0.2rem white);
    background-color: white;
}
.button_filter_yellow {
    filter: drop-shadow(0rem 0rem 0.2rem rgb(255, 255, 108));
    background-color: rgb(255, 255, 108);
}
.button_filter_pink {
    filter: drop-shadow(0rem 0rem 0.2rem rgb(252, 100, 231));
    background-color: rgb(252, 100, 231);
}
.button_filter_orang {
    filter: drop-shadow(0rem 0rem 0.2rem rgb(255, 104, 66));
    background-color: rgb(255, 104, 66);
}
.button_filter_red > span,
.button_filter_green > span,
.button_filter_blue > span,
.button_filter_white > span,
.button_filter_yellow > span,
.button_filter_orang > span,
.button_filter_pink > span{
    color: black !important;
}

.owner-marker {
    content: "";
    width: 0.8rem;
    height: 0.8rem;
    position: absolute;
    margin-left: 0.45rem;
    margin-top: 0.4rem;
    outline: 0.1rem solid black;
    border-radius: 100%;
}

input {
    text-align: left;
    font-family: inherit;
    padding-left: 1rem;
    font-size: 1rem;
    width: 100%;
    border: 0;
    border-bottom: 1.5px solid gray;
    color: white;
    outline: 0;
    padding: 0;
    background: transparent;
    height: 2rem;
}

.deckPopoup {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
    padding-bottom: 0.75rem;
    background-color: rgb(50, 50, 50);
}

.deckPopoup-body {
    min-height: 20vh;
    overflow-y: auto;
    max-height: 72vh;
}

.cardButton {
    border: none;
    padding: 0;
    font-size: 0;
    cursor: pointer;
    transition: 0.1s ease-in;
}
.cardButton.picking {
    scale: 0 !important;
}
.cardButton > img {
    width: 7rem;
    height: 10.64rem;
    transition: 0.1s;
}
.selectedCard.cardButton > img {
    width: 6rem;
    height: 9.12rem;
}
@media (hover: hover),  (pointer: fine){
    .cardButton >  img:hover{
        transform: scale(1.3);  
    }
    .cardButton.copy >  img:hover{
        transform: none !important;
        cursor: initial !important;
    }
}

.detailedPlayerCard {
    visibility: hidden;
    opacity: 0%;
    height:0;
    width:0;
    margin:0;
    padding:0;
    display: flex;
    flex-direction: column;
    border-radius: 4%;
    display: flex;
    align-items: center;
    border: 0.2rem white;
    background-color: rgb(55, 55, 55);
    cursor: pointer;
    transition: opacity 0.5s;
}

.allPickedCardsButton {
    visibility: hidden;
    opacity: 0%;
    height:0;
    width:0;
    /* margin:0;
    padding:0; */
    transition: opacity 0.5s;
}

.left-controls.expandend> .allPickedCardsButton   {
    height: initial;
    width: 24rem;
    margin-bottom: initial;
    padding: initial;
    visibility: initial;
    opacity: 100%
}

.detailedPlayerCard:hover {
    background-color: rgb(63, 63, 63);
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15)!important;
}


.detailedPlayerCard * {
    visibility: hidden;
}

.playerName { 
    display: flex;
    align-items: center;
    width: 100%;
    margin-bottom: 1rem;
    margin-top: 0.25rem;
}
.playerName :first-child { 
    height: 1rem;
    margin-right: 1rem;
    border-radius: 100%;
    margin-bottom: 0;
}
.playerCardLampred {
    border-style: solid;
    border-width: 1;
    background-color: transparent;
    border-color: rgb(196, 60, 80);
}
.playerCardLampblue {
    border-style: solid;
    border-width: 1;
    background-color: transparent;
    border-color: rgb(55, 110, 240);
}
.playerCardLampgreen {
    border-style: solid;
    border-width: 1;
    background-color: transparent;
    border-color: rgb(103, 241, 103);
}
.playerCardLampwhite {
    border-style: solid;
    border-width: 1;
    background-color: transparent;
    border-color: white;
}
.playerCardLampyellow {
    border-style: solid;
    border-width: 1;
    background-color: transparent;
    border-color: rgb(255, 255, 108);
}
.playerCardLamppink {
    border-style: solid;
    border-width: 1;
    background-color: transparent;
    border-color: rgb(252, 100, 231);
}
.playerCardLamporang {
    border-style: solid;
    border-width: 1;
    background-color: transparent;
    border-color: rgb(255, 104, 66);
}

.playerInfo {
    width:100%;
    display: flex;
    align-items: center;
    color: white;
    justify-content: space-between;
}

.cardCounter {
    margin: 0;
}

.cardCounterContainer {
    align-items: center;
    margin-left: 2.2rem;
}

.deckInfo {
    width: 6.25rem;
}

*::-webkit-scrollbar-track
{
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
	background-color: #888888;
}

*::-webkit-scrollbar
{
	width: 0.5rem;
	background-color: #F5F5F5;
}

*::-webkit-scrollbar-thumb
{
	border-radius: 10px;
	-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
	background-color: #242424;
}

.modalWidth{
    max-width: 60vw !important;
}

body.modal-open #left-controls,
body.modal-open .col-10{
    filter: blur(5px) brightness(60%);
}

.modal-outline-red {
    outline: solid 0.15rem rgb(196, 60, 80);  
}
.modal-outline-green {
    outline: solid 0.15rem rgb(103, 241, 103);  
}
.modal-outline-blue {
    outline: solid 0.15rem rgb(55, 110, 240);  
}
.modal-outline-white {
    outline: solid 0.15rem white;  
}
.modal-outline-yellow {
    outline: solid 0.15rem rgb(255, 255, 108);  
}
.modal-outline-pink {
    outline: solid 0.15rem rgb(252, 100, 231); 
}
.modal-outline-orang {
    outline: solid 0.15rem rgb(255, 104, 66); 
}
.modal-outline-all {
    outline: solid 0.15rem black; 
}

.dividerWidth {
    width: 2.75rem;
    border-bottom-color:rgb(100, 100, 100) !important;
}

.hiddenDeck {
    display: none !important;
}

.modal-footer{
    border-top: none !important;
}